ReplacementNode (Groovy 3.0.7)

Package groovy.util.slurpersupport

## Class ReplacementNode

- java.lang.Object
- - groovy.util.slurpersupport.ReplacementNode

- All Implemented Interfaces:
    `Buildable`, `Writable`

      @Deprecated
      public abstract class ReplacementNode
      extends Object
      implements Buildable, Writable

  Deprecated.
  Helper base class used for lazy updates.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReplacementNode()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `build​(GroovyObject builder)` | Deprecated.
    `abstract void` | `build​(GroovyObject builder, Map namespaceMap, Map<String,​String> namespaceTagHints)` | Deprecated.
    `Writer` | `writeTo​(Writer out)` | Deprecated. NOP

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplacementNode

          public ReplacementNode()

      Deprecated.

  - ### Method Detail

    - #### build

          public abstract void build​(GroovyObject builder,
                                     Map namespaceMap,
                                     Map<String,​String> namespaceTagHints)

      Deprecated.

    - #### build

          public void build​(GroovyObject builder)

      Deprecated.
      Specified by:
        `build` in interface `Buildable`

    - #### writeTo

          public Writer writeTo​(Writer out)
                         throws IOException

      Deprecated.
      NOP
      Specified by:
        `writeTo` in interface `Writable`
      Parameters:
        `out` - the Writer to which this Writable should output its data.
      Returns:
        the Writer that was passed
      Throws:
        `IOException` - if an error occurred while outputting data to the writer